# Generated from fastercsv-1.5.5.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name fastercsv
%global rubyabi 1.9.1

Summary: FasterCSV is CSV, but faster, smaller, and cleaner
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.5.5
Release: 2%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://fastercsv.rubyforge.org
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch0: 0001-Use-usr-bin-env-ruby.patch
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
FasterCSV is intended as a complete replacement to the CSV standard library.
It
is significantly faster and smaller while still being pure Ruby code. It also
strives for a better interface.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

pushd .%{gem_instdir}
%patch0 -p1
popd


%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/





%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{gem_instdir}/LICENSE

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/README
%doc %{gem_instdir}/INSTALL
%doc %{gem_instdir}/TODO
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/test

%changelog
* Wed Aug 07 2013 Steve Linabery <slinaber@redhat.com> - 1.5.5-2
- Use /usr/bin/env ruby in setbangs

* Tue Jul 30 2013 Steve Linabery <slinaber@redhat.com> - 1.5.5-1
- Initial package
